#ifndef REGISTERDLG_H
#define REGISTERDLG_H

#include <QtGui/QDialog>
#include <QCryptographicHash>
#include <QMessageBox>
#include "qxtxmlrpcclient.h"

namespace Ui {
    class RegisterDlg;
}

class RegisterDlg : public QDialog {
    Q_OBJECT
    Q_DISABLE_COPY(RegisterDlg)
public:
    //! Constructor.
    explicit RegisterDlg(QWidget *parent = 0);
    //! Destructor.
    virtual ~RegisterDlg();

protected:
    virtual void changeEvent(QEvent *e);

private:
    Ui::RegisterDlg *m_ui;
    QxtXmlRpcClient *client;
    //! Used with client to add user to database.
    int addUserId;

private slots:
    //! Registers user to database.
    void on_registerPushButton_clicked();
    void processReturnValue(int Id,QVariant data);
    void error(int i,QString string);
    void fault(int i,int j,QString string);
    //! Checking that every lineedit contains text.
    void allowRegister();
};
#endif // REGISTERDLG_H
